%define anolis_release 2
%global pypi_name pytest-mock
%global file_name pytest_mock

Name:           python-%{pypi_name}
Version:        3.6.1
Release: %{anolis_release}%{dist}
Summary:        Thin-wrapper around the mock package for easier use with py.test

License:        MIT
URL:            https://github.com/pytest-dev/pytest-mock/
Source0:        %{pypi_source}
BuildArch:      noarch

%description
This plugin installs a mocker fixture which is a thin-wrapper around the
patching API provided by the mock package, but with the benefit of not having
to worry about undoing patches at the end of a test.

%package -n     python3-%{pypi_name}
Summary:        %{summary}

BuildRequires:  python3-devel
BuildRequires:  %py3_dist setuptools
BuildRequires:  %py3_dist pytest
BuildRequires:  %py3_dist setuptools_scm
BuildRequires:  %py3_dist py
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This plugin installs a mocker fixture which is a thin-wrapper around the
patching API provided by the mock package, but with the benefit of not having
to worry about undoing patches at the end of a test.

%package -n python3-%{pypi_name}-doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    -n python3-%{pypi_name}-doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n %{pypi_name}-%{version} -p1
rm -rf *.egg-info
# Correct end of line encoding for README
sed -i 's/\r$//' README.rst

%build
%py3_build

%install
%py3_install
%generate_compatibility_deps

%check
%pytest -v tests \
  -k "not test_standalone_mock and not test_detailed_introspection and not test_detailed_introspection \
  and not test_assert_called_args_with_introspection and not test_assert_called_kwargs_with_introspection"

%files -n python3-%{pypi_name}
%license LICENSE
%{python3_sitelib}/%{file_name}/
%{python3_sitelib}/%{file_name}-%{version}-py%{python3_version}.egg-info/

%files -n python3-%{pypi_name}-doc
%doc CHANGELOG.rst README.rst

%changelog
* Fri Mar 15 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 3.6.1-2
- Rebuild with python3.11
- Add buildrequires

* Wed Mar 29 2023 Zhongling He <zhonglingh@linux.alibaba.com> - 3.6.1-1
- Init package from upstream
